Bug 858719 - engine: Missing error codes and event log for hotplugNic and hotunplugNic
engine: Missing error codes and event log for hotplugNic and hotunplugNic
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Linux
medium Severity unspecified
: ---
: ---
Assigned To: Muli Salem
Martin Pavlik
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 09:49 EDT by Moti Asayag
Modified: 2016-02-10 14:54 EST (History)
9 users (show)

See Also:
Fixed In Version: SI21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moti Asayag 2012-09-19 09:49:02 EDT
Description of problem:

Missing error from vdsm should be added to the backend:
hotplugNic(49), message: 'Failed to hotplug NIC'
hotunplugNic(50), message: 'Failed to hotunplug NIC'

Version-Release number of selected component (if applicable):

vdsm-python-4.10.0-0.310.git7b21c28.el6.x86_64
vdsm-4.10.0-0.310.git7b21c28.el6.x86_64
vdsm-cli-4.10.0-0.310.git7b21c28.el6.noarch
vdsm-xmlrpc-4.10.0-0.310.git7b21c28.el6.noarch
libvirt-client-0.9.10-21.el6_3.1.x86_64
libvirt-lock-sanlock-0.9.10-21.el6_3.1.x86_64
libvirt-python-0.9.10-21.el6_3.1.x86_64
libvirt-0.9.10-21.el6_3.1.x86_64
qemu-kvm-rhev-0.12.1.2-2.295.el6.x86_64
qemu-kvm-rhev-debuginfo-0.12.1.2-2.293.el6.x86_64
qemu-img-rhev-0.12.1.2-2.295.el6.x86_64
gpxe-roms-qemu-0.9.7-6.9.el6.noarch
qemu-kvm-rhev-tools-0.12.1.2-2.293.el6.x86_64


How reproducible:
always

Steps to Reproduce:
1. Try to activate/deactivate nic on host which doesn't support it.
  
Actual results:
On vdsm logs the following error is reported:

libvirtError: internal error unable to execute QEMU command 'device_add': Bus 'pci.0' does not support hotplugging
Thread-5455::DEBUG::2012-09-12 18:49:46,020::BindingXMLRPC::879::vds::(wrapper) return vmHotplugNic with {'status': {'message': "internal error unable to execute QEMU command 'device_add': Bus 'pci.0' does not support hotplugging", 'code': 49}}

On webadmin the message error is blank with no proper error message.

Expected results:
A proper error message should be printed for each failure according to the error code reported by VDSM.

Additional info:
Comment 1 Muli Salem 2012-09-24 05:08:15 EDT
Proposed patch in:

http://gerrit.ovirt.org/#/c/8152/
Comment 3 Martin Pavlik 2012-10-05 05:14:21 EDT
Error appear in event log, but it contains typo, there is redunfant ^M at the end of each line in eventes

Failed to activate Network Interface nic1 (Red Hat VirtIO) for VM VM1. (User: admin@internal)^M

Failed to deactivate Network Interface nic1 (Red Hat VirtIO) for VM VM1. (User: admin@internal)^M
Comment 4 Muli Salem 2012-10-09 06:54:10 EDT
http://gerrit.ovirt.org/#/c/8424/

Note You need to log in before you can comment on or make changes to this bug.